version: '3.9'

services:
  nodetwitch:
    image: node:18
    container_name: projectnode
    ports:
      - 6969:3000
    build: .
    command: bash -c "cd /usr/src/app && node server.js"
    depends_on:
      - db
  db:
    image: mongo:7
    container_name: mymongo
    ports:
      - 27017:27017
    environment:
      MONGO_INITDB_ROOT_USERNAME: root
      MONGO_INITDB_ROOT_PASSWORD: root

      MONGODB_DATABASE: newtestdb
      MONGODB_USER: user
      MONGODB_PASSWORD: pass123
    command: [--auth]  
    volumes:
      - ./data:/data/db
      - ./db/mongo-init.js:/docker-entrypoint-initdb.d/mongo-init.js